AvaTax

Version v2
APConfigSetting
Accounts
Addresses
AvaFileForms
Batches
CertExpressInvites
Certificates
Clerk
CommunicationCertificates
Companies
Compliance
Contacts
CostCenter
Customers
DataSources
Definitions
DistanceThresholds
DomainControlVerification
ECommerceToken
EcmEventNotifications
EcoNexusThreshold
FirmClientLinkages
FormTypeMapping
FundingRequests
GLAccount
Items
ItemsReverseSync
Jobs
JurisdictionOverrides
Locations
MultiDocument
Nexus
Notices
Notifications
Provisioning
Registrar
Reports
Settings
Subscriptions
TaxCodes
TaxContent
TaxRules
Transactions
Upcs
UserDefinedFields
Users
Utilities
VendorCertificates
Vendors

AuditModel

Provides detailed information about an API call.

The information on this record was captured by AvaTax when your API call was made. If you are unsure why you received an error, you can fetch these audit objects and examine the RequestUrl, RequestBody, and ErrorMessage fields to determine root cause for the error.

Parameters
transactionIdOptional
integer

A unique ID number referring to this individual API call.

accountIdOptional
integer

The unique ID number of the account to which the user belongs.

userIdOptional
integer

The unique ID number of the user that performed this API call.

ipAddressOptional
string

The origin IP address from which AvaTax received this API call. If you use a proxy layer or other gateway, this IP address may be the address of the gateway. This information is not guaranteed to be accurate and may change based on network conditions between your site and AvaTax.

machineNameOptional
string

If your API call specified a MachineName in the Client Profile Headers, this variable will contain its value. This information is self-reported by the client and is not guaranteed to be present.

clientNameOptional
string

If your API call specified a ClientName in the Client Profile Headers, this variable will contain its value. This information is self-reported by the client and is not guaranteed to be present.

clientVersionOptional
string

If your API call specified a ClientVersion in the Client Profile Headers, this variable will contain its value. This information is self-reported by the client and is not guaranteed to be present.

adapterNameOptional
string

If your API call specified a AdapterName in the Client Profile Headers, this variable will contain its value. This information is self-reported by the client and is not guaranteed to be present.

adapterVersionOptional
string

If your API call specified a AdapterVersion in the Client Profile Headers, this variable will contain its value. This information is self-reported by the client and is not guaranteed to be present.

serverNameOptional
string

The server name of the AvaTax server that responded to this API call.

serverVersionOptional
string

The software version number of the currently deployed AvaTax API software on the server that responded to this API call.

referenceIdOptional
integer

A context-dependent reference ID for this API call. This reference ID is not guaranteed to contain a specific value and may be used differently by various API calls.

severityLevelIdOptional
integer

If the API contained a specific type of error code, this value would contain the unique ID number of the severity level of the response returned to the client.

serverTimestampOptional
string

The server timestamp, in UTC, of the time when the server received this API call.

serverDurationOptional
integer

The number of milliseconds that the AvaTax server took to respond to this API call.

serviceNameOptional
string

The service name of the AvaTax API service that responded to this API call.

operationOptional
string

The operation name of this API call.

referenceCodeOptional
string

A context-dependent reference code for this API call. This reference code is not guaranteed to contain a specific value and may be used differently by various API calls.

errorMessageOptional
string

If this API call reported an error, this contains the name of the error that was returned. You can look up more information about AvaTax error messages on the AvaTax REST Error Page.

auditMessageOptional
string

Reserved for Avalara internal usage.

loadBalancerDurationOptional
integer

Reserved for Avalara internal usage.

recordCountOptional
integer

If this API call returned an array of information, this value contains the number of records returned.

referenceAuthorizationOptional
string

Reserved for Avalara internal usage.

isQueuedOptional
boolean

Reserved for Avalara internal usage.

databaseCallCountOptional
integer

If this API call included requests made to any of the AvaTax data layers, this contains the number of requests that were traced.

Please note that not all data layers support this measurement.

databaseCallDurationOptional
string

If this API call included requests made to any of the AvaTax data layers, this contains the total duration time measured for all the requests.

Please note that not all data layers support this measurement.

remoteCallDurationOptional
string

If this API call included interoperation with other Avalara services, this contains the amount of time taken by those services.

eventsOptional
array

Reserved for Avalara internal usage.

requestUrlOptional
string

The original request URL as provided by the client.

requestBodyOptional
string

If this request was an HTTP request that included a body such as a POST or a PUT, this will contain the request body sent by the client.

This request body is represented as a string, exactly as it was received from the client. Regardless of whether the request was JSON, Base64 encoded bytes, or a CSV file, this contains the exact contents of the request body.

responseStatusOptional
integer

The HTTP response code that was sent by the server.

responseBodyOptional
string

The entire response body sent from the AvaTax server to the client. This value is returned as a string regardless of whether the results were JSON-formatted text, CSV files, or raw strings.

remoteCallsOptional
array

Reserved for Avalara internal usage.